#
# spec file for package rinetd (Version 0.61)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           rinetd
License:        GPL
Group:          Productivity/Networking/System
Autoreqprov:    on
Version:        0.61
Release:        819.2
Summary:        TCP Redirection Server
URL:            http://www.boutell.com/rinetd/
Source0:        ftp://ftp.boutell.com/pub/boutell/rinetd/rinetd.tar.gz
Source1:        rc.rinetd
Source2:        logrotate.rinetd
Patch:          rinetd.doc.dif
Patch1:         rinetd.syslog.dif
Patch2:         rinetd.conf.dif
Patch3:         rinetd-secfix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq

%description
rinetd redirects TCP connections from one IP address and port to
another address and port. rinetd is a single-process server which
handles any number of connections to the address or port pairs
specified in the file /etc/rinetd.conf. Because rinetd runs as a single
process using nonblocking I/O, it is able to redirect a large number of
connections without a severe impact on the machine. This makes it
practical to run TCP services on machines inside an IP masquerading
firewall.

Note: rinetd can not redirect FTP because FTP requires more than one
socket.



Authors:
--------
    Thomas Boutell <boutell@boutell.com>

%debug_package
%prep
%setup -n rinetd
%patch
%patch1
%patch2
%patch3 -p1

%build
make CFLAGS="$CFLAGS $RPM_OPT_FLAGS -fno-strict-aliasing"

%install
mkdir -p $RPM_BUILD_ROOT/%_mandir/man8
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/usr/sbin
touch $RPM_BUILD_ROOT/etc/rinetd.conf
install -m 700 rinetd $RPM_BUILD_ROOT/usr/sbin
install -m 644 rinetd.8 $RPM_BUILD_ROOT%_mandir/man8
install -m 755 $RPM_SOURCE_DIR/rc.rinetd $RPM_BUILD_ROOT/etc/init.d/rinetd
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/logrotate.d/rinetd
ln -s ../../etc/init.d/rinetd $RPM_BUILD_ROOT/usr/sbin/rcrinetd

%post
%{fillup_and_insserv rinetd}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc CHANGES README index.html rinetd.conf.sample
%config(missingok,noreplace) %ghost /etc/rinetd.conf
%config(noreplace) /etc/logrotate.d/rinetd
%config /etc/init.d/rinetd
%_mandir/man8/rinetd.8.gz
/usr/sbin/rcrinetd
/usr/sbin/rinetd

%changelog -n rinetd
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Apr 16 2004 - mmj@suse.de
- Don't remove buildroot
- Compile with -fno-strict-aliasing
* Thu Oct 16 2003 - mmj@suse.de
- Don't build as root
- Tiny cleanup of specfile
* Mon Aug 25 2003 - mmj@suse.de
- add patch for a potential buffer overrun caused by failure to
  reallocate one array when reallocating memory to accommodate
  more than the initially allocated capacity of 64 connections.
* Wed Jan 15 2003 - ro@suse.de
- added logrotate config
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Thu Aug 01 2002 - mmj@suse.de
- Add %%fillup_and_insserv PreReq
* Sat Jul 27 2002 - adrian@suse.de
- do not source rc.config anymore
* Mon Mar 04 2002 - mmj@suse.de
- Split rinetd.dif into smaller patches for convienience and
  clarity [BUG #10255]
* Mon Dec 17 2001 - grimmer@suse.de
- removed rc.config variable and adjusted init script and spec file
* Thu Apr 19 2001 - grimmer@suse.de
- Updated init file according to new skeleton
* Fri Mar 09 2001 - grimmer@suse.de
- fixed typo in manpage (#6572)
* Tue Jan 02 2001 - olh@suse.de
- use script name in %%post
* Mon Dec 18 2000 - grimmer@suse.de
- added Sourceadress extension by Lutz Pressler <lp@SerNet.DE>
* Fri Dec 15 2000 - grimmer@suse.de
- init script fixes (added $remote_fs to Required-Start, removed
  run level 2 from Default-Start, added check if binary exists)
* Tue Nov 28 2000 - grimmer@suse.de
- moved init script to /etc/init.d and use system facility names
- moved convenience link rcrinetd to /usr/sbin/
* Thu Nov 23 2000 - grimmer@suse.de
- extracted init script and rc.config entry from diff
  and added them as separate source files
- added BuildRoot
- created new init script and replaced symbolic links
  with calls to insserv in post and postun section
- corrected fillup error message in post section and expanded
  comment in rc.config
* Thu Feb 17 2000 - grimmer@suse.de
- added patch from kus@suse.de to enable logging via syslog
- added Group tag
- added URL
- use manpage macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 31 1999 - grimmer@suse.de
- update to 0.61
* Tue Mar 02 1999 - grimmer@suse.de
- new version
- specfile update
* Tue Nov 10 1998 - grimmer@suse.de
- new version (0.52)
- new init script (for 6.0)
* Mon Oct 05 1998 - grimmer@suse.de
- New Package (version 0.51)
